View Issue Details

IDProjectCategoryView StatusLast Update
0001961SOGoWeb Preferencespublic2016-06-14 14:11
Reporterrverchere Assigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.18 
Fixed in Version3.1.3 
Summary0001961: Add a vacation template message
Description

When user enable the vacation auto reply, it should be useful (at least for me), to have a template in the Auto reply message.

TagsNo tags attached.

Activities

Jens Erat

Jens Erat

2016-05-18 05:07

reporter   ~0010151

I'd like to extend this feature request slightly. We'd like to have parts of the template enforced, ie. a header/footer added to the user's message which should be configurable through sogo.conf. An example autoresponder message, consisting of a header, the user's message and a footer:

Automatic response on behalf of user {User Name from LDAP/mail address}:

Hi,

this is Joe. I'm writing my own user defined vacation message indication
I'm out of office. For urgent inquiries, please get in touch with Alice instead.


This message does not influence delivery of your electronic message.
You will not receive any additional automatic responses
on behalf of this user unless {n} days have passed.
--
Autoresponder Mailsystem Example Corp.

Some template variables like the number of days until the next automatic response and the user's name (preferred) or mail address (if resolving the name is too complicated) would be helpful.

Related Changesets

sogo: master 47441706

2016-06-14 14:10:17

francis

Details Diff
Add a header and/or footer to the vacation message

Fixes 0001961
Affected Issues
0001961
mod - Documentation/SOGoInstallationGuide.asciidoc Diff File
mod - NEWS Diff File
mod - SoObjects/SOGo/GNUmakefile Diff File
mod - SoObjects/SOGo/SOGoDomainDefaults.h Diff File
mod - SoObjects/SOGo/SOGoDomainDefaults.m Diff File
mod - SoObjects/SOGo/SOGoSieveManager.m Diff File
add - SoObjects/SOGo/SOGoTextTemplateFile.h Diff File
add - SoObjects/SOGo/SOGoTextTemplateFile.m Diff File
mod - UI/PreferencesUI/UIxPreferences.h Diff File
mod - UI/PreferencesUI/UIxPreferences.m Diff File
mod - UI/Templates/PreferencesUI/UIxPreferences.wox Diff File
add - UI/WebServerResources/scss/views/PreferencesUI.scss Diff File
mod - UI/WebServerResources/scss/views/_view.scss Diff File

Issue History

Date Modified Username Field Change
2012-08-29 11:50 rverchere New Issue
2016-05-18 05:07 Jens Erat Note Added: 0010151
2016-06-14 14:10 francis Changeset attached => sogo master 47441706
2016-06-14 14:10 francis Assigned To => francis
2016-06-14 14:10 francis Resolution open => fixed
2016-06-14 14:11 francis Status new => resolved
2016-06-14 14:11 francis Fixed in Version => 3.1.3